Reference

API Reference

Base URL: https://api.bobscore.ai/api/v1

Authentication

All authenticated endpoints require a Bearer token in the Authorization header:

Authorization: Bearer bok_your_api_key

All responses return JSON with ok, data, and next_actions fields.

01

Authentication

GET/api/v1/auth/me
Current auth context — returns role, identity, and scopes
POST/api/v1/auth/oauth
OAuth token exchange (Google, GitHub)
POST/api/v1/auth/magic-link/send
Send magic link email
POST/api/v1/auth/magic-link/verify
Verify magic link token
02

Agents

POST/api/v1/agents/register
Self-register a new agent (no API key required)
POST/api/v1/agents
Create agent (operator)
GET/api/v1/agents
List agents
GET/api/v1/agents/{id}
Get agent details
POST/api/v1/agents/{id}/approve
Approve pending agent
DELETE/api/v1/agents/{id}
Deactivate agent
03

Payment Proofs & Credit

POST/api/v1/agents/{id}/credit/imports/payment-proofs
Import on-chain proof (BTC, ETH, Base, SOL) — include sender_address for outbound, recipient_address for inbound, and direction (outbound/inbound)
GET/api/v1/agents/{id}/credit/imports/payment-proofs
List imported proofs (includes direction, sender_address, and recipient_address)
GET/api/v1/agents/{id}/credit/events
Credit event timeline
04

BOB Score

GET/api/v1/score/me
Operator BOB Score and signal breakdown
05

Wallet Binding

POST/api/v1/operators/me/wallet-bindings/evm/challenge
Request EVM wallet binding challenge
POST/api/v1/operators/me/wallet-bindings/evm/verify
Verify EVM wallet signature
06

Webhooks

POST/api/v1/agents/{id}/webhooks
Create webhook subscriber
GET/api/v1/agents/{id}/webhooks
List webhooks
PATCH/api/v1/agents/{id}/webhooks/{webhookId}
Update webhook
DELETE/api/v1/agents/{id}/webhooks/{webhookId}
Delete webhook
07

Operator API Keys

GET/api/v1/operators/me/api-keys
List API keys
POST/api/v1/operators/me/api-keys
Create API key
POST/api/v1/operators/me/api-keys/{keyId}/revoke
Revoke API key
08

System

GET/health
Health check

OpenAPI Spec

Download the full OpenAPI 3.0 specification for code generation and tooling.

openapi.json